=== debian/changelog ===
checkinstall (1.6.2-4ubuntu2) zesty; urgency=medium

  * 0012-fix-conffiles.patch: Fix bad pipe/redirect combo
    to enable conffiles generation (LP: #1304760)

 -- Brian Morton <rokclimb15@gmail.com>  Tue, 13 Dec 2016 21:07:00 -0500

checkinstall (1.6.2-4ubuntu1) raring; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/patches/0002-Change-default-configuration.patch: Disable file
      system translation by default.

 -- Logan Rosen <logan@ubuntu.com>  Tue, 12 Mar 2013 15:11:09 -0400

checkinstall (1.6.2-4) unstable; urgency=low

  [ Andreas Noteng ]
  * Fix wrong license name in debian/copyright (s/GPL2/GPL2+/)

  [ Timo Juhani Lindfors ]
  * Add patch 0011-fix-crash-when-sizeof-mode_t-sizeof-int.patch
    (closes: #702314)

 -- Andreas Noteng <andreas@noteng.no>  Fri, 08 Mar 2013 09:40:43 +0100

checkinstall (1.6.2-3ubuntu1) precise; urgency=low

  * Sync from Debian (LP: #975140)
  * 0002-Change-default-configuration.patch: Disable file system translation by
    default (LP: #78455)
  * debian/copyright: fixed GPL-2+ licence name

 -- Andreas Noteng <andreas@noteng.no>  Fri, 06 Apr 2012 15:16:05 +0200

checkinstall (1.6.2-3) unstable; urgency=low

  * Don't include empty control fields (closes: #666262)
  * Update Standards-Version
    - Update debian/copyright to version 1.0
  * Don't include directories in conffiles (closes: #655453)

 -- Andreas Noteng <andreas@noteng.no>  Sun, 01 Apr 2012 18:22:33 +0200

checkinstall (1.6.2-2) unstable; urgency=low

  [ Andreas Noteng ]
  * New maintainer (closes: #608238)
  * Fix broken watch file
  * Change to machine readable copyright file
  * Update Standards-Version (no change).
  * Remove Breaks: and Replaces: installwatch (package no longer in Debian)
  * Fix wrong installwatch copyright information

  [ Felipe Sateler ]
  * Set file permissions to o=g instead of 644 when --reset-uids is passed

 -- Felipe Sateler <fsateler@debian.org>  Wed, 09 Feb 2011 15:51:28 -0300

checkinstall (1.6.2-1) unstable; urgency=low

  * New upstream release. Closes: #570510
    - Update patches for new upstream release
  * Manage patches with gpb-pq
  * Update Standards-Version (no changes needed)
  * Switch to source format 3.0 (quilt)
    - Drop quilt usage
  * Drop unnecessary dh_clean override
  * Use multiline Build-Depends
  * Re-enable filesystem translation by default, it was fixed upstream.
      Closes: #510681, #490633, #478312

 -- Felipe Sateler <fsateler@gmail.com>  Thu, 15 Apr 2010 16:21:45 -0400

checkinstall (1.6.1-10) unstable; urgency=low

  * Fix build failure with glibc 2.10. Thanks Joao Pinto.
     Closes: #552860
  * Remove backtick from HEREDOC. Closes: #556725

 -- Felipe Sateler <fsateler@gmail.com>  Tue, 17 Nov 2009 14:52:24 -0300

checkinstall (1.6.1-9) unstable; urgency=low

  * Move to debhelper 7
  * Add misc:Depends to the Depends line
  * Remove dependency on findutils
  * Remove dependency on libc headers
  * Use correct quilt version
  * Update the checkinstall homepage
  * Allow overriding architecture in Debian. Closes: #501027
  * Document use of quilt in patch management
  * Update standards version (no changes needed)

 -- Felipe Sateler <fsateler@gmail.com>  Thu, 24 Sep 2009 14:33:05 -0400

checkinstall (1.6.1-8) unstable; urgency=low

  * Recommend make since it's the most used install tool. (Closes: #487964).
  * Use quilt for managing patches to upstream sources.
  * Allow Requires to be used in Debian. (Closes: #469639)
  * Turn off system translation by default, since it is currently broken.
  * Update the Vcs-* tags since we moved to Git.

 -- Felipe Sateler <fsateler@gmail.com>  Thu, 24 Jul 2008 14:34:06 -0400

checkinstall (1.6.1-7) unstable; urgency=high

  * Use mktemp instead of awk magic to create temporary directories.
    The original implementation had a race condition that allowed for a
    symlink attack. This is security related, so set urgency to high.

 -- Felipe Sateler <fsateler@gmail.com>  Wed, 25 Jun 2008 23:58:05 -0400

checkinstall (1.6.1-6) unstable; urgency=low

  * Use the new Vcs-* fields.
  * Do not ship empty directories.
  * Use $(MAKE) instead of make in the makefile
  * Support Provides: field in debian.
  * Depend on dpkg-dev, since we use dpkg-architecture
    (Closes: #484828)
  * Move url to the Homepage field.
  * Convert debian/copyright to UTF-8.
  * Bump standards version to 3.8.0 (no changes needed).

 -- Felipe Sateler <fsateler@gmail.com>  Thu, 12 Jun 2008 08:57:53 -0400

checkinstall (1.6.1-5) unstable; urgency=low

  * Fix typo: striping -> stripping.
  	(Closes: #447776)
  * Fix FTBFS on kfreebsd-amd64.
  	(Closes: #451111)
  * Move manpage to section 8 and note that checkinstall must be run as root.
  	(Closes: #448533)

 -- Felipe Sateler <fsateler@gmail.com>  Tue, 13 Nov 2007 10:29:15 -0300

checkinstall (1.6.1-4) unstable; urgency=low

  * Fix access() filtering in checkinstall.
  	(Closes: #404542)
  * Fix backup cleaning that may delete stuff we don't want to.
  * Remove spurious quotes which may behave badly under some conditions.
  * Find files created under /home and ask for exclusion.
  * Don't strip installwatch.so in upstream's Makefile
  	(Closes: #436621)

 -- Felipe Sateler <fsateler@gmail.com>  Fri, 10 Aug 2007 20:56:47 -0400

checkinstall (1.6.1-3) unstable; urgency=low

  * Fix FTBFS in some archs, by fixing the build dependencies.
  	(Closes: #422213)

 -- Felipe Sateler <fsateler@gmail.com>  Fri, 04 May 2007 13:17:01 -0400

checkinstall (1.6.1-2) unstable; urgency=low

  * Avoid shell command reinterpretation.
  	(Closes: #306075)
  * Ease kernel module package creation by detecting depmod calls
    and acting accordingly.
    	(Closes: #373103)
  * Fix FTBFS on GNU/kFreeBSD, patch from Cyril Brulebois.
  	(Closes: #414310)
  * Comment =yes and =no arguments to options in the man page.
  	(Closes: #409340)
  * Check for correct version numbers.
  	(Closes: #175240)
  * Check for correct package names in Debian.

