=== debian/control ===
Source: checkinstall
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Andreas Noteng <andreas@noteng.no>
Build-Depends: debhelper (>= 7.0.50~),
               docbook-to-man,
               gettext,
               libc0.1-dev (>= 2.10) [kfreebsd-i386 kfreebsd-amd64],
               libc0.3 (>=2.10) [hurd-i386],
               libc6-dev (>=2.10) [i386 amd64 armel hppa mips mipsel powerpc s390 sparc],
               libc6.1-dev (>=2.10) [alpha ia64]
Standards-Version: 3.9.3
Vcs-Git: git://git.debian.org/git/collab-maint/checkinstall.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/checkinstall.git;a=summary
Homepage: http://checkinstall.izto.org

Package: checkinstall
Architecture: any
Depends: dpkg-dev, file, ${misc:Depends}, ${shlibs:Depends}
Recommends: make
Suggests: gettext
Description: installation tracker
 CheckInstall keeps track of all the files created or
 modified by your installation script ("make install"
 "make install_modules", "setup", etc), builds a
 standard binary package and installs it in your
 system giving you the ability to uninstall it with your
 distribution's standard package management utilities.
