## checkinstall 1.6.2%2Bgit20170426.d24a630

=== debian/watch ===
version=3

https://www.asic-linux.com.mx/~izto/checkinstall/files/source/checkinstall-([\d\.]*)\.tar.gz
