## checkinstall 1.6.2+git20170426.d24a630

=== Makefile ===
--- 
+++ 
@@ -19,6 +19,7 @@
 			;; \
 		esac ; \
 	done	
+	sed 's%MAKEFILE_PREFIX%$(PREFIX)%g' checkinstall.in > checkinstall
 	$(MAKE) -C installwatch
 	
 install: all
@@ -26,18 +27,19 @@
 	$(MAKE) -C installwatch install
 	
 	mkdir -p $(BINDIR)
-	install checkinstall makepak $(BINDIR)
+	mkdir -p $(LCDIR)
+	install -m 0755 -o root -g root checkinstall makepak $(BINDIR)
 	for file in locale/*.mo ; do \
-		LANG=`echo $$file | sed -e 's|locale/checkinstall-||' \
+		CKLNG=`echo $$file | sed -e 's|locale/checkinstall-||' \
 			-e 's|\.mo||'` && \
-		mkdir -p $(LCDIR)/$${LANG}/LC_MESSAGES && \
-		cp $$file $(LCDIR)/$${LANG}/LC_MESSAGES/checkinstall.mo || \
+		mkdir -p $(LCDIR)/$${CKLNG}/LC_MESSAGES && \
+		cp $$file $(LCDIR)/$${CKLNG}/LC_MESSAGES/checkinstall.mo || \
 		exit 1 ; \
 	done
 	
 	mkdir -p $(CONFDIR)
 	install -m644  checkinstallrc-dist $(CONFDIR)
-	if ! [ -f $(CONFDIR)/checkinstallrc ]; then \
+	@if ! [ -f $(CONFDIR)/checkinstallrc ]; then \
 		cp $(CONFDIR)/checkinstallrc-dist $(CONFDIR)/checkinstallrc; \
 	else \
 		echo; \
@@ -55,7 +57,7 @@
 	fi
 	
 clean:
-	for file in locale/checkinstall-*.mo ; do \
+	for file in locale/checkinstall-*.mo checkinstall ; do \
 		rm -f $${file} ; \
 	done
 	$(MAKE) -C installwatch clean
