=== debian/changelog ===
checkinstall (1.6.2+git20170426.d24a630-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Make requirement for root when building the package explicit.
    (Closes: #1089300)
  * Pass `-n` to `gzip` to make compressed files easier to
    reproduce.

 -- Niels Thykier <niels@thykier.net>  Wed, 01 Jan 2025 14:59:22 +0000

checkinstall (1.6.2+git20170426.d24a630-5) unstable; urgency=medium

  [ Stephen Gelman ]
  * Fix HPPA build (Closes: #1055075)
    Thanks John David Anglin for the patch!
  * Fix riscv64 build (Closes: #1055077)
    Thanks Aurelien Jarno for the patch!
  * Fix armhf/armel build post-t64 transition (Closes: #1069436)

  [ Samuel Thibault ]
  * control: Add hurd-amd64 case.

 -- Stephen Gelman <ssgelm@debian.org>  Wed, 11 Sep 2024 00:24:44 -0500

checkinstall (1.6.2+git20170426.d24a630-4) unstable; urgency=medium

  * Add support for Pre-Depends field in package (Thanks
    yjqg6666 <jinking.this@gmail.com>!)
  * Fix bug with "mkdir -p" command. Thanks to Geoffrey Hausheer for the fix!
    (Closes: #717778)
  * Bump standards version to 4.6.2 (no changes)

 -- Stephen Gelman <ssgelm@debian.org>  Sun, 29 Oct 2023 16:30:19 -0500

checkinstall (1.6.2+git20170426.d24a630-3) unstable; urgency=medium

  * Fix building under glibc >= 2.33. Thanks to Lukas Märdian for the fix!
    (Closes: #996478)
  * Bump standards version and dh compat level (no changes necessary)

 -- Stephen Gelman <ssgelm@debian.org>  Fri, 15 Oct 2021 02:09:53 -0500

checkinstall (1.6.2+git20170426.d24a630-2) unstable; urgency=medium

  * Remove embedded build path to make build reproducible (closes: #941715)
    Thanks to Chris Lamb for the fix!

 -- Stephen Gelman <ssgelm@debian.org>  Fri, 04 Oct 2019 16:49:50 -0500

checkinstall (1.6.2+git20170426.d24a630-1) unstable; urgency=medium

  * Project is not making new releases but has fixes in git so pulling those
    in
  * Add support in installwatch for new renameat2 syscall.

 -- Stephen Gelman <ssgelm@debian.org>  Fri, 27 Sep 2019 15:37:59 +0000

checkinstall (1.6.2-6) unstable; urgency=medium

  * Fix adding files to dpkg conffiles (Thanks to Larsen for the fix!)
    (Closes: #781169, #809415)

 -- Stephen Gelman <ssgelm@debian.org>  Mon, 15 Jul 2019 00:06:18 -0500

checkinstall (1.6.2-5) unstable; urgency=medium

  * New maintainer
  * Move VCS to salsa
  * Update to debhelper compat level 12
  * Update to Standards-Version 4.4.0 (no change)
  * Minor lintian fixes
  * Test installcheck when building the package using included tests
  * Fix segfault relating to _xstat64() (Thanks to Giulio Moro for the fix!)
    (Closes: #878487)

 -- Stephen Gelman <ssgelm@debian.org>  Tue, 09 Jul 2019 23:01:02 -0500
