=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 
-# Uncomment this to turn on verbose mode. 
+# Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
 %:
@@ -16,6 +16,13 @@
 	rm -f debian/checkinstall.8
 	rm -f debian/installwatch.1
 
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+TESTDIR=$(CURDIR)/debian/testtmp
+override_dh_auto_test:
+		$(MAKE) -C installwatch test PREFIX=$(TESTDIR)
+		rm -rf $(TESTDIR)
+endif
+
 TMPDIR=$(CURDIR)/debian/tmp
 override_dh_auto_install:
 	# We override all paths: we want the binary in bin instead of
@@ -27,12 +34,12 @@
 		LIBDIR=$(TMPDIR)/usr/lib/checkinstall
 	# Delete the checkinstallrc-dist file from etc
 	rm -f $(TMPDIR)/etc/checkinstallrc-dist
-	
+
 	# installwatch's documentation
 	mkdir -p $(TMPDIR)/usr/share/doc/checkinstall
-	gzip -9c installwatch/CHANGELOG \
+	gzip -9nc installwatch/CHANGELOG \
 		> $(TMPDIR)/usr/share/doc/checkinstall/installwatch.changelog.gz
-	gzip -9c debian/changelog.installwatch.old \
+	gzip -9nc debian/changelog.installwatch.old \
 		> $(TMPDIR)/usr/share/doc/checkinstall/installwatch.changelog.Debian.gz
 	cp installwatch/BUGS \
 		$(TMPDIR)/usr/share/doc/checkinstall/BUGS.installwatch
@@ -40,17 +47,17 @@
 		$(TMPDIR)/usr/share/doc/checkinstall/README.installwatch
 	cp installwatch/TODO \
 		$(TMPDIR)/usr/share/doc/checkinstall/TODO.installwatch
-	
-	# Modifications to the programs/config are applied here
-	
+
 	# Enable installwatch to find the shared library
 	sed -i -e 's|$(TMPDIR)||' $(TMPDIR)/usr/bin/installwatch
 	sed -i -e 's|PREFIX/lib|PREFIX/lib/checkinstall|' \
 		$(TMPDIR)/usr/bin/installwatch
-	
+
+	# Remove absolute buildpath
+	sed -i -e 's|^INSTALLDIR=.*|INSTALLDIR=/usr|' $(TMPDIR)/usr/bin/checkinstall
+
+	# Remove unwanted makepak binary
+	rm -f $(TMPDIR)/usr/bin/makepak
+
 override_dh_installman:
 	dh_installman debian/installwatch.1 debian/checkinstall.8
-
-override_dh_install:
-	dh_install --sourcedir=$(TMPDIR)
-
